JMSSessionStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JMSSessionStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JMSSessionStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JMSSessionStatsImpl

All Implemented Interfaces:
  JMSSessionStats, Resettable, Stats

public class JMSSessionStatsImpl
extends StatsImpl
implements JMSSessionStats

Statistics for a JMS session

Version:
  $Revision: 1.6 $

Constructor Summary
`JMSSessionStatsImpl(List producers, List consumers)`

Method Summary
`void` | `dump(IndentPrinter out)`
`JMSConsumerStats[]` | `getConsumers()`
`CountStatistic` | `getDurableSubscriptionCount()`
`CountStatistic` | `getExpiredMessageCount()`
`CountStatistic` | `getMessageCount()`
`TimeStatisticImpl` | `getMessageRateTime()`
`TimeStatistic` | `getMessageWaitTime()`
`CountStatistic` | `getPendingMessageCount()`
`JMSProducerStats[]` | `getProducers()`
`void` | `onCreateDurableSubscriber()`
`void` | `onRemoveDurableSubscriber()`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSSessionStatsImpl

    public JMSSessionStatsImpl(List producers,
                               List consumers)

Method Detail

### getProducers

    public JMSProducerStats[] getProducers()

  Specified by:
    `getProducers` in interface `JMSSessionStats`

### getConsumers

    public JMSConsumerStats[] getConsumers()

  Specified by:
    `getConsumers` in interface `JMSSessionStats`

### getMessageCount

    public CountStatistic getMessageCount()

  Specified by:
    `getMessageCount` in interface `JMSSessionStats`

### getPendingMessageCount

    public CountStatistic getPendingMessageCount()

  Specified by:
    `getPendingMessageCount` in interface `JMSSessionStats`

### getExpiredMessageCount

    public CountStatistic getExpiredMessageCount()

  Specified by:
    `getExpiredMessageCount` in interface `JMSSessionStats`

### getMessageWaitTime

    public TimeStatistic getMessageWaitTime()

  Specified by:
    `getMessageWaitTime` in interface `JMSSessionStats`

### getDurableSubscriptionCount

    public CountStatistic getDurableSubscriptionCount()

  Specified by:
    `getDurableSubscriptionCount` in interface `JMSSessionStats`

### getMessageRateTime

    public TimeStatisticImpl getMessageRateTime()

### toString

    public String toString()

### dump

    public void dump(IndentPrinter out)

### onCreateDurableSubscriber

    public void onCreateDurableSubscriber()

### onRemoveDurableSubscriber

    public void onRemoveDurableSubscriber()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.